<template>
  <exception-page type="404" v-if="show"/>
</template>

<script>
import ExceptionPage from './ExceptionPage'

export default {
  components: {
    ExceptionPage
  },
  data() {
    return {
      show: false,
    }
  },
  created() {
    if (this.$route.fullPath.startsWith("/tempRouter/")) {
      this.$router.push("/")
    } else {
      this.show = true
    }
  }
}
</script>
